Bug 1017566 - Fail to reveal correct messages in happroxy-status page when scale up a scalable app
Fail to reveal correct messages in happroxy-status page when scale up a scala...
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
2.0.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 03:49 EDT by Nan Wei
Modified: 2017-03-08 12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nan Wei 2013-10-10 03:49:59 EDT
Description of problem:
When scale up a scalable app, haproxy-status page reveals only local gear, it doesn't show the scaled-up gears, as follow: 
    balance leastconn
    server local-gear 127.1.245.129:8080 check fall 2 rise 3 inter 2000 cookie local-52564802dd5387b677000001
But it's ok in devenv environment. 
OpenShift Enterprise puddle: 2.0/2013-10-08.1
How reproducible:
100%
Steps to Reproduce:
1. Create a scale app 
#rhc app create pps php-5.3 -s
2. Scale up the app, check the gears' status:
#rhc cartridge scale php-5.3 -a pps --min 2
#rhc app show -a pps --gears 
52564802dd5387b677000001 started php-5.3 haproxy-1.4 small 52564802dd5387b677000001@pps-nweid.ose20-scale.com
52564946dd5387b677000027 started php-5.3 haproxy-1.4 small 52564946dd5387b677000027@52564946dd5387b677000027-nweid.ose20-scale.com
3. ssh into the app
#cat /var/lib/openshift/$uuid/haproxy/conf/haproxy.cfg
Actual results:
After scale up, the app only reveals "local-gear" and has no scaled-up gear record in file haproxy.cfg.  
Expected results:
App scale up successfully and it reveals local gear and scale up gears record messages in the file.
Additional info:
Comment 3 Nan Wei 2013-11-06 22:45:25 EST
OpenShift Enterprise puddle: 2.0/2013-11-05.1

1. Create a scale app 
#rhc app create phps php-5.3 -s
2. Scale up the app, check the gears' status:
#rhc cartridge scale php-5.3 -a phps --min 2
#rhc app show -a phps --gears 
5279d675ab6546cffd0000f5 started php-5.3 haproxy-1.4 small 5279d675ab6546cffd0000f5@phps-nweidomain.ose-1105.com.cn
527b05e9ab6546ccc4000133 started php-5.3 haproxy-1.4 small 527b05e9ab6546ccc4000133@527b05e9ab6546ccc4000133-nweidomain.ose-1105.com.cn
3. ssh into the app
#cat /var/lib/openshift/5279d675ab6546cffd0000f5/haproxy/conf/haproxy.cfg
    server gear-527b05e9ab6546ccc4000133-nweidomain node1.ose-1105.com.cn:38036 check fall 2 rise 3 inter 2000 cookie 527b05e9ab6546ccc4000133-nweidomain
    server local-gear 127.1.254.129:8080 check fall 2 rise 3 inter 2000 cookie local-5279d675ab6546cffd0000f5
visit haproxy-status is normal: 
https://phps-nweidomain.ose-1105.com.cn/haproxy-status

Note You need to log in before you can comment on or make changes to this bug.